Bug 979964 - password.py raises stack trace info when configuring passwords to don't match.
password.py raises stack trace info when configuring passwords to don't match.
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: 3.4.1
Assigned To: Fabian Deutsch
bugs@ovirt.org
node
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-01 04:27 EDT by haiyang,dong
Modified: 2014-04-30 06:53 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-30 06:53:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 16283 None None None Never

  None (edit)
Description haiyang,dong 2013-07-01 04:27:00 EDT
Description of problem:
Using /usr/libexec/ovirt-config-password to configure admin password, when setting
"New password" and "Reytpe new Password" to different values, password.py will raise
stack trace info with follows:
[ERROR] Exception:
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/ovirt/node/tools/password.py", line 80, in __ask_and_set_user_pasword
  File "/usr/lib/python2.7/site-packages/ovirt/node/utils/security.py", line 68, in password_check
ValueError: Passwords Do Not Match
[ERROR] Password update failed: Passwords Do Not Match
Actually shown error info "[ERROR] Password update failed: Passwords Do Not Match" is enough to users,
Shown stack trace info wasn't necessary to users


Version-Release number of selected component (if applicable):
ovirt-node-iso-3.0.0-0.999.999.20130628210419git4aea851.2642.fc18.iso

How reproducible:
100%


Steps to Reproduce:



Actual results:


Expected results:


Additional info:
Comment 1 Fabian Deutsch 2013-07-01 04:46:29 EDT
Fixed in:
http://gerrit.ovirt.org/16283

Tested as follows:
1. Run tool in dev mode
2. Enter a and s as password
3. Only 
[ERROR] Password update failed: Passwords Do Not Match
is shown



$ PYTHONPATH=src/ scripts/ovirt-config-password 


 Password Configuration

 Enter ? for help.

> set_admin_password

 Password Configuration

System Administrator (admin):

Changing password for user 'admin'.
New password: 
Reytpe new Password: 
[ERROR] Password update failed: Passwords Do Not Match
Comment 2 Sandro Bonazzola 2014-03-04 04:29:05 EST
This is an automated message.
Re-targeting all non-blocker bugs still open on 3.4.0 to 3.4.1.

Note You need to log in before you can comment on or make changes to this bug.